mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

Asymmetric signature formatters create digital signatures that are verified using implementations of .

Represents the base class from which all implementations of asymmetric signature formatters derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class.

  Use implementations of and to set the key and hash algorithm before calling an implementation of .

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  You must specify a key and a hash algorithm before calling this method.

  When overridden in a derived class, creates the signature for the specified data.

  The digital signature for the parameter.

  The data to be signed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  This method sets the hash algorithm to be used, then returns the signature of the input hash algorithm value.

  Creates the signature from the specified hash value.

  The signature for the specified hash value.

  The hash algorithm to use to create the signature.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set a hash algorithm before calling an implementation of .

  When overridden in a derived class, sets the hash algorithm to use for creating the signature.

  The name of the hash algorithm to use for creating the signature.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set a key before calling an implementation of .

  When overridden in a derived class, sets the asymmetric algorithm to use to create the signature.

  The instance of the implementation of to use to create the signature.